Subject: Re: [PATCH] Makefile: add NEEDS_LIBRT to optionally link with librt

From: Junio C Hamano <[email-masked]>
Date: Thu, 07 Jul 2016 14:14:49 -0700

Ronald Wampler <[email-masked]> writes:

> I am not sure if this the correction solution. Another option I
> considered was to wrap the EXTLIBS += -lrt is an ifndef NO_RT and only
> defining NO_RT for Mac OS X in config.mak.uname.

That alternative would make the resulting code noisier/uglier with
nested ifdef, I would imagine, but it would be of less impact to the
existing users.  But my gut feeling is that the patch you sent is
probably a better solution for the longer term.

Thanks.